<?php
/*
Plugin Name: FCC Slow Lane 
Plugin URI: http://www.evoknow.com/wordpress-plugins/fcc-slowlane
Description: This plugin detects FCC visitors using known IP blocks allocated for FCC
and slows down the site. It displays a header to let the FCC visitors know that they are being slowed down in protect of FCC decision to create fast lanes on the internet.
Version: 1.0
Author: EVOKNOW
Author URI: http://evoknow.com
*/

require_once( plugin_dir_path( __FILE__ ) . 'SlowLanePlugin.php');

$core = new SlowLanePlugin();
$core->setPluginDir(plugin_dir_path( __FILE__ ));

// Do necessary tasks as soon as plugin is activated
register_activation_hook( __FILE__, array($core, 'activate'));

// Do necessary tasks as soon as plugin is deactivated
register_deactivation_hook(__FILE__, array($core, 'deactivate'));

// Do init whenever plugin is run
add_action('init', array($core, 'init'));

